Page MenuHomePhabricator

Design support for Structured Data on Commons and GLAM documentation in September-December 2019
Closed, ResolvedPublic

Description

Design support for Structured Data on Commons and GLAM documentation in September-December 2019

In September-December 2019, I (@SandraF_WMF) will produce updated and new user-facing documentation about StructuredDataOnCommons (SDC) in general, including more specialized documentation for GLAM (Galleries, Libraries, Archives and Museums) applications of SDC. Part of this documentation will live on Wikimedia Commons, part of it on Meta.

This task is a request for help with the design of this documentation. It is a followup of T219806: Illustrations and design building blocks for Structured Data on Commons and GLAM documentation. I'm asking for an average of 2 hrs/week of support from @hdothiduc during the period of September till December 2019.

Project details

  • What do you want to achieve (goals)?
    • Improved and new basic documentation about StructuredDataOnCommons. What is it? Why is it useful? How can it be used in various situations?
    • The documentation itself will be written by me (@SandraF_WMF) with support from a technical writer. However, I can use help with overall design of the pages, menus and other interface elements (illustrations, infoboxes...) for this documentation.
  • Who is your target audience (be specific)?
    • Wikimedians who are not yet familiar with SDC
    • Wikimedians who are somewhat familiar with SDC but who want to find information that responds to specific needs (for instance how to describe specific kinds of files in structured data, how to use the SDC API...)
    • GLAMwiki organizers - both Wikimedians and staff from GLAMs
  • How do you want your audience to feel?
    • Well-supported, well-informed, empowered to find their way around existing documentation and satisfied that they find the documentation they need.
  • What medium do you have in mind and how do you want to distribute it?
    • The documentation itself will live in various information / documentation pages on Wikimedia Commons and meta.wikimedia.org and will be linked from relevant other wikis (e.g. Outreach, Wikidata)
    • This new documentation will be announced and discussed via various channels that are frequently used by the Wikimedia Commons and GLAMwiki communities, including social media, Wikimedia Space, Wikimedia Foundation blog.
  • Do you already have an idea of what you need to roll out your project? If so, please check all that apply (i.e. [x]):
    • Design improvements to pages on wiki
    • Illustrations, Infographics
  • How are you measuring your success (key performance indicators)?
  • What organizational goal is this linked to? (please link to current Annual Plan details)
  • When is this due?
    • Documentation will be produced throughout September-December 2019. Design support will be continuously helpful during this entire period, hence the ask for support of 2 hrs/week on average.
    • The most active months will be October and November, so it's safe to assume that in these months a bit more work will be needed on average. September and December will be relatively more lightweight (getting started, and finalizing things).
    • Ultimate deadline for all documentation: December 31, 2019
  • Who is leading this project on your team?
    • Sandra Fauconnier - Program Officer, GLAM and Structured Data, Community Programs team - sfauconnier@wikimedia.org @SandraF_WMF

Event Timeline

hdothiduc triaged this task as Medium priority.Sep 2 2019, 5:03 PM
hdothiduc moved this task from Inbox to Needs Discussion on the CommRel-Design board.
Elitre assigned this task to hdothiduc.Dec 8 2019, 5:30 AM
hdothiduc moved this task from To-Do to Started on the CommRel-Design board.Feb 11 2020, 8:12 PM
hdothiduc closed this task as Resolved.Apr 10 2020, 10:51 PM

Sandra, I will mark this as resolved, since we did talk about it and I reviewed some of the images you produced. I think for now, there is no specific pending request within this task and based on our conversations. If you do require help or a proper review of documentation pages, please reach out to me.
And to be transparent, if it requires more than an hour I will likely to ask you to also reach out to talktocomms@wikimedia.org. (Details are here https://phabricator.wikimedia.org/project/profile/3982/) This Phabricator project/workboard will be archived.

(Hope you are well!!)